﻿Imports System.Drawing

Public Class Circle
    ' Represents a circle.
    Public Center As PointF
    Public Radius As Single

    Public Sub New()
        Me.New(0, 0, 0)
    End Sub
    Public Sub New(ByVal new_x As Single, ByVal new_y As Single, ByVal new_radius As Single)
        Center = New PointF(new_x, new_y)
        Radius = Math.Abs(new_radius)
    End Sub

    ' Return the circle's bounds.
    Public Function GetBounds() As RectangleF
        Return New RectangleF( _
            Center.X - Radius, Center.Y - Radius, _
            2 * Radius, 2 * Radius)
    End Function

    ' Draw the circle.
    Public Sub Draw(ByVal gr As Graphics, ByVal the_pen As Pen)
        If (Radius > 0) Then gr.DrawEllipse(the_pen, GetBounds())
    End Sub
    Public Sub Draw(ByVal gr As Graphics, ByVal the_brush As Brush)
        If (Radius > 0) Then gr.FillEllipse(the_brush, GetBounds())
    End Sub
    Public Sub Draw(ByVal gr As Graphics, ByVal the_brush As Brush, ByVal the_pen As Pen)
        Draw(gr, the_brush)
        Draw(gr, the_pen)
    End Sub
End Class
